## tuskar-ui 0.1.0

=== requirements.txt ===
pbr>=0.5.21,<1.0
# Horizon Core Requirements
django>=1.4,<1.6
django_compressor>=1.3
django_openstack_auth>=1.1.3
eventlet>=0.13.0
kombu>=2.4.8
iso8601>=0.1.8
netaddr>=0.7.6
python-cinderclient>=1.0.6
python-glanceclient>=0.9.0
python-heatclient>=0.2.3
python-keystoneclient>=0.4.1
python-novaclient>=2.15.0
python-neutronclient>=2.3.0,<3
python-swiftclient>=1.5
python-ceilometerclient>=1.0.6
pytz>=2010h
# Horizon Utility Requirements
# for SECURE_KEY generation
lockfile>=0.8

python-ironicclient
-e git+https://github.com/openstack/python-tuskarclient.git#egg=python-tuskarclient

=== debian/changelog ===
tuskar-ui (0.1.0-2) unstable; urgency=medium

  * Added patch to not use the Django version of simplejson (Closes: #755654).
  * Disable pep8 tests.
  * Now build-conflicts with python-unittest2.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 16:08:12 +0000

tuskar-ui (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed duplicate python-pbr build-depends.
  * Reviewed (build-)dependencies for this new release.
  * Fixed BSD license of bin/lib/less/cssmin.js in debian/copyright.
  * Removed patch applied upstream:
    - fix-python-m-coverage.patch
    - fix-compat-with-django-1.6.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Apr 2014 00:25:41 +0800

tuskar-ui (0.0.9-1) experimental; urgency=low

  * Initial release (Closes: #741658)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 15:53:48 +0800

=== debian/control ===
Source: tuskar-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21)
Build-Depends-Indep: openstack-dashboard,
                     python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1:1.0.6),
                     python-compressor (>= 1.3),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-django-horizon,
                     python-django-nose,
                     python-docutils (>= 0.9.1),
                     python-eventlet (>= 0.13.0),
                     python-glanceclient (>= 1:0.10.0),
                     python-hacking (>= 0.8),
                     python-heatclient (>= 0.2.3),
                     python-ironicclient,
                     python-iso8601 (>= 0.1.8),
                     python-keystoneclient (>= 1:0.4.1),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-mock (>= 1.0.1),
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.15.0),
                     python-openstack-auth (>= 1.1.3),
                     python-openstack.nose-plugin,
                     python-oslosphinx,
                     python-sphinx,
                     python-swiftclient (>= 1:1.6.0),
                     python-tuskarclient,
                     python-tz
Build-Conflicts: python-unittest2
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/tuskar-ui
Vcs-Git: git://anonscm.debian.org/openstack/tuskar-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tuskar-ui.git;a=summary

Package: python-tuskar-ui
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-ceilometerclient (>= 1.0.6),
         python-cinderclient (>= 1:1.0.6),
         python-compressor (>= 1.3),
         python-django (>= 1.4),
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.10.0),
         python-heatclient (>= 0.2.3),
         python-ironicclient,
         python-iso8601 (>= 0.1.8),
         python-keystoneclient (>= 1:0.4.1),
         python-kombu (>= 2.4.8),
         python-lockfile,
         python-netaddr,
         python-neutronclient (>= 2.3.0),
         python-novaclient (>= 2:2.15.0),
         python-openstack-auth (>= 1.1.3),
         python-pbr (>= 0.5.21),
         python-swiftclient (>= 1:1.6.0),
         python-tuskarclient,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - horizon plugin
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/tuskar-ui.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	bash -x run_tests.sh -N
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	# Activates tuskar-ui in the dashboard
	set -e && for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-tuskar-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/local/enabled ; \
		cp $(CURDIR)/_50_tuskar.py.example $(CURDIR)/debian/python-tuskar-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/local/enabled/_50_tuskar.py ; \
	done

## tuskar-ui 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
# Horizon Core Requirements
Django>=1.4.2,<1.7
django_compressor>=1.4
django_openstack_auth>=1.1.7,!=1.1.8
eventlet>=0.16.1
kombu>=2.5.0
iso8601>=0.1.9
netaddr>=0.7.12
os-cloud-config
python-cinderclient>=1.1.0
python-glanceclient>=0.15.0
python-heatclient>=0.3.0
python-keystoneclient>=1.1.0
python-novaclient>=2.18.0,!=2.21.0
python-neutronclient>=2.3.11,<3
python-swiftclient>=2.2.0
python-ceilometerclient>=1.0.6
pytz>=2013.6

python-ironicclient>=0.2.1
ironic-discoverd>=1.0.0

=== debian/changelog ===
tuskar-ui (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/do-not-use-django-simplejson.patch, refresh the
    no-pep8 patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2015 12:15:52 +0000

=== debian/control ===
Source: tuskar-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard,
                     nodeenv,
                     python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1:1.1.0),
                     python-compressor (>= 1.4),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-django-horizon,
                     python-django-nose,
                     python-eventlet (>= 0.16.1),
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-ironicclient (>= 0.2.1),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.1.0),
                     python-kombu,
                     python-mock (>= 1.0.1),
                     python-mox,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 2.3.11),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.18.0),
                     python-openstack-auth (>= 1.1.7),
                     python-openstack.nose-plugin,
                     python-os-cloud-config,
                     python-oslosphinx (>= 2.2.0.0),
                     python-sphinx,
                     python-swiftclient,
                     python-tuskarclient (>= 0.1.17),
                     python-tz,
                     python-xvfbwrapper
Build-Conflicts: python-unittest2
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/tuskar-ui
Vcs-Git: git://anonscm.debian.org/openstack/tuskar-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tuskar-ui.git;a=summary

Package: python-tuskar-ui
Architecture: all
Depends: python-ceilometerclient (>= 1.0.6),
         python-cinderclient (>= 1:1.1.0),
         python-compressor (>= 1.4),
         python-django (>= 1.4),
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-heatclient (>= 0.3.0),
         python-ironicclient (>= 0.2.1),
         python-iso8601,
         python-keystoneclient (>= 1:1.1.0),
         python-kombu,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.18.0),
         python-openstack-auth (>= 1.1.7),
         python-os-cloud-config,
         python-pbr,
         python-swiftclient,
         python-tuskarclient (>= 0.1.17),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - horizon plugin
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package contains the OpenStack dashboard plugin.

## tuskar-ui 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
os-cloud-config
python-ironic-inspector-client>=1.0.1
python-ironicclient>=0.6.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TuskarUI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TuskarUI.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TuskarUI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TuskarUI"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
tuskar-ui (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed dependency on ironic-discoverd (Closes: #804307).
  * Fixed (build-)depends for this release.
  * Removed build-conflicts: python-unittest2.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Nov 2015 14:53:32 +0100

=== debian/control ===
Source: tuskar-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-sphinx,
Build-Depends-Indep: nodeenv,
                     openstack-dashboard,
                     python-coverage (>= 3.6),
                     python-django-horizon,
                     python-django-nose,
                     python-hacking,
                     python-ironic-inspector-client,
                     python-ironicclient (>= 0.6.0),
                     python-mock (>= 1.3),
                     python-mox,
                     python-mox3,
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openstack.nose-plugin,
                     python-os-cloud-config,
                     python-oslosphinx (>= 2.5.0),
                     python-tuskarclient (>= 0.1.18),
                     python-xvfbwrapper,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/tuskar-ui
Vcs-Git: git://anonscm.debian.org/openstack/tuskar-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/tuskar-ui.git;a=summary

Package: python-tuskar-ui
Architecture: all
Depends: python-django-horizon,
         python-ironic-inspector-client,
         python-ironicclient (>= 0.6.0),
         python-os-cloud-config,
         python-pbr,
         python-tuskarclient (>= 0.1.18),
         ${misc:Depends},
         ${python:Depends},
Description: control how and where OpenStack services are deployed - horizon plugin
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mv tuskar_ui/test/selenium.py debian
 	bash -x run_tests.sh -N
+	mv debian/selenium.py tuskar_ui/test
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
https://github.com/openstack/tuskar-ui/tags .*/(\d[\d\.]+)\.tar\.gz
